Skip to main content
PUT
/
networks
/
tieredcommissions
/
{commissionId}
Update Tiered Commission
curl --request PUT \
  --url https://api.eflow.team/v1/networks/tieredcommissions/{commissionId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '{}'
{
  "tiered_commission_id": 123,
  "network_id": 123,
  "name": "<string>",
  "status": "<string>",
  "tiers": [
    {}
  ],
  "time_created": 123,
  "time_saved": 123
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

commissionId
integer
required

The unique tiered commission ID to update.

Body

application/json

The full tiered commission object.

Response

OK

tiered_commission_id
integer

Unique tiered commission ID.

network_id
integer

Network ID.

name
string

Commission rule name.

status
string

Commission rule status.

tiers
object[]

Array of tier thresholds and payout configurations.

time_created
integer

Unix timestamp of creation.

time_saved
integer

Unix timestamp of last update.